package com.bailuntec.domain.enumerate;

public enum PlatformType {
    Handwork(0,"Handwork"),
    Amazon(1,"Amazon"),
    Ebay(2,"Ebay"),
    Aliexpress(3,"Aliexpress"),
    Wish(4,"Wish"),
    Cdiscount(5,"Cdiscount"),
    Prada(6,"Prada"),
    Shopee(7,"Shopee"),
    MyMall(8,"MyMall"),
    Joom(9,"Joom"),
    Lazada(10,"Lazada"),
    FBA(10,"FBA"),
    Paypal(12,"Paypal"),
    Walmart(13,"Walmart"),
    PriceMinister(14,"PriceMinister"),
    wwFnac(15,"wwFnac"),
    Non_Amazon(99,"Non_Amazon");


    private final int code;
    private final String value;

    PlatformType(int code, String value) {
        this.code = code;
        this.value = value;
    }

    @Override
    public String toString() {
        return value;
    }

    public String value() {
        return value;
    }

    public int code() {
        return code;
    }
}
